
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../style.css');
        @import url('../../../../roundedcorners.css');
        @import url('../../../../tree.css');
            </style>
    
    <script src="../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.3-alpha1</title>
</head><body onload="loadPkgPane('HttpCore 4.3-alpha1: org.apache.http.protocol', 'pkg-test.html');">
  <!-- render overall pkg coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:43:21 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Test</span>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="pkg-risks.html">Clouds</a></div>
        
                    	<div class="navBar"><a href="../../../../testsrc-pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="testsrc-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.protocol:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,338
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,529
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      159
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      11.34
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,960
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.12
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      13.11
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      118
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      8
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.35
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      9
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.protocol:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,338
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,529
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      159
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      11.34
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,960
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.12
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      13.11
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      118
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      8
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.35
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      9
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;Package</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Files</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.protocol</span>
    	   org.apache.http.protocol
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3474576</span>
          1.35
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">43.0</span>
          43
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.97046703</span>
          97%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.97046703</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="97% Covered" class="barPositive " style="width: 97%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Class</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Methods</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr>  <!-- render list of class coverage graphs -->
                 <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder</span>
    	  <a href="TestBasicHttpProcessor.html#TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder" title="TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder">TestBasicHttpProcessor.TestHttpRequestInterceptorPlaceHolder</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpExecutionContext</span>
    	  <a href="TestHttpExecutionContext.html#TestHttpExecutionContext" title="TestHttpExecutionContext">TestHttpExecutionContext</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.92105263</span>
          92.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.92105263</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.1% Covered" class="barPositive " style="width: 92.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpRequestExecutor</span>
    	  <a href="TestHttpRequestExecutor.html#TestHttpRequestExecutor" title="TestHttpRequestExecutor">TestHttpRequestExecutor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.5</span>
          2.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">18.0</span>
          18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9312977</span>
          93.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9312977</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="6.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="93.1% Covered" class="barPositive " style="width: 93.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestStandardInterceptors</span>
    	  <a href="TestStandardInterceptors.html#TestStandardInterceptors" title="TestStandardInterceptors">TestStandardInterceptors</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">70.0</span>
          70
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2714286</span>
          1.27
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.97108066</span>
          97.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.97108066</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="97.1% Covered" class="barPositive " style="width: 97.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestBasicHttpProcessor</span>
    	  <a href="TestBasicHttpProcessor.html#TestBasicHttpProcessor" title="TestBasicHttpProcessor">TestBasicHttpProcessor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.98039216</span>
          98%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.98039216</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="98% Covered" class="barPositive " style="width: 98%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestHttpService</span>
    	  <a href="TestHttpService.html#TestHttpService" title="TestHttpService">TestHttpService</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0769231</span>
          1.08
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.99667776</span>
          99.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.99667776</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.7% Covered" class="barPositive " style="width: 99.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestChainBuilder</span>
    	  <a href="TestChainBuilder.html#TestChainBuilder" title="TestChainBuilder">TestChainBuilder</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestUriHttpRequestHandlerMapper</span>
    	  <a href="TestUriHttpRequestHandlerMapper.html#TestUriHttpRequestHandlerMapper" title="TestUriHttpRequestHandlerMapper">TestUriHttpRequestHandlerMapper</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                    <tr>
    <td class="graphItem">
			
	        <span class="sortValue">TestUriPatternMatcher</span>
    	  <a href="TestUriPatternMatcher.html#TestUriPatternMatcher" title="TestUriPatternMatcher">TestUriPatternMatcher</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:43:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>